Skip to main content
Versionv1

Distribution Groups API (v1)

Download OpenAPI specification:Download

Distribution Groups

Get Distribution Groups

Get all Distribution Groups belonging to the given Account.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

query Parameters
Skip
integer or null <int32> [ 0 .. 2147483647 ]
Example: Skip=0

Amount of items being skipped.

Take
integer or null <int32> [ 0 .. 200 ]
Example: Take=50

Amount of items being retrieved.

q
string

Search for Distribution Group name.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create Distribution Group

Create a new Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

Request Body schema:

The new Distribution Group.

guid
string <uuid>

Unique identifier of the Distribution Group.

name
string or null <= 128 characters

Name of the Distribution Group.

createdOn
string <date-time>

Date and time the Distribution Group was created.

updatedOn
string <date-time>

Date and time the Distribution Group was last updated.

Array of objects or null (Endpoint)

List of linked Distribution Group Endpoints.

Responses

Request samples

Content type
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Distribution Group",
  • "createdOn": "2022-01-01T00:00:00.000Z",
  • "updatedOn": "2022-01-01T00:00:00.000Z",
  • "endpoints": [
    ]
}

Response samples

Content type
application/json
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Distribution Group",
  • "createdOn": "2022-01-01T00:00:00.000Z",
  • "updatedOn": "2022-01-01T00:00:00.000Z",
  • "endpoints": [
    ]
}

Get Distribution Group

Get a single Distribution Group by it's unique identifier.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

Responses

Response samples

Content type
application/json
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Distribution Group",
  • "createdOn": "2022-01-01T00:00:00.000Z",
  • "updatedOn": "2022-01-01T00:00:00.000Z",
  • "endpoints": [
    ]
}

Update Distribution Group

Update a Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

Request Body schema:

The Distribution Group to use for updating.

guid
string <uuid>

Unique identifier of the Distribution Group.

name
string or null <= 128 characters

Name of the Distribution Group.

createdOn
string <date-time>

Date and time the Distribution Group was created.

updatedOn
string <date-time>

Date and time the Distribution Group was last updated.

Array of objects or null (Endpoint)

List of linked Distribution Group Endpoints.

Responses

Request samples

Content type
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Distribution Group",
  • "createdOn": "2022-01-01T00:00:00.000Z",
  • "updatedOn": "2022-01-01T00:00:00.000Z",
  • "endpoints": [
    ]
}

Response samples

Content type
application/json
{
  • "requestId": "string",
  • "errors": [
    ]
}

Delete Distribution Group

Deletes the given Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

Responses

Response samples

Content type
application/json
{
  • "requestId": "string",
  • "errors": [
    ]
}

Endpoints

Get Endpoints

Get all Endpoints linked to a given Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create Endpoints

Create new Endpoints linked to a given Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

Request Body schema:

The new Endpoints to be created.

Array
guid
string <uuid>

Unique identifier of the Endpoint.

name
string or null

Name of the Endpoint.

ipAddress
string or null

External IP address of the Endpoint.

port
integer <int32>

The port to be configured that is supported by CM. Supported ports: 5060-5100.

priority
integer <int32> >= 1

Determines the Round-Robin order of the endpoint. Each endpoint inside a Distribution Group must have a unique priority.

isActive
boolean

Determines whether the Endpoint should be active or not.

tlsEnabled
boolean

Determines whether this endpoint receives SIP traffic via TLS.

object or null

Key/Value Pairs of attributes configured to an Endpoint. Attributes are extra settings that can be configured to an Endpoint, for example: media encryption.

Example: { "medianenc": "SRTP" }

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Get Endpoint

Get an Endpoint linked to a given Distribution Group.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

endpointGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Endpoint.

Responses

Response samples

Content type
application/json
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Endpoint",
  • "ipAddress": "0.0.0.0",
  • "port": 5060,
  • "priority": 1,
  • "isActive": true,
  • "tlsEnabled": true,
  • "attributes": {
    }
}

Update Endpoint

Update an existing Endpoint.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

endpointGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Endpoint.

Request Body schema:

The updated Endpoint.

guid
string <uuid>

Unique identifier of the Endpoint.

name
string or null

Name of the Endpoint.

ipAddress
string or null

External IP address of the Endpoint.

port
integer <int32>

The port to be configured that is supported by CM. Supported ports: 5060-5100.

priority
integer <int32> >= 1

Determines the Round-Robin order of the endpoint. Each endpoint inside a Distribution Group must have a unique priority.

isActive
boolean

Determines whether the Endpoint should be active or not.

tlsEnabled
boolean

Determines whether this endpoint receives SIP traffic via TLS.

object or null

Key/Value Pairs of attributes configured to an Endpoint. Attributes are extra settings that can be configured to an Endpoint, for example: media encryption.

Example: { "medianenc": "SRTP" }

Responses

Request samples

Content type
{
  • "guid": "00000000-0000-0000-0000-000000000000",
  • "name": "My Endpoint",
  • "ipAddress": "0.0.0.0",
  • "port": 5060,
  • "priority": 1,
  • "isActive": true,
  • "tlsEnabled": true,
  • "attributes": {
    }
}

Response samples

Content type
application/json
{
  • "requestId": "string",
  • "errors": [
    ]
}

Delete Endpoint

Delete the given Endpoint.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

distributionGroupGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Distribution Group.

endpointGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Endpoint.

Responses

Response samples

Content type
application/json
{
  • "requestId": "string",
  • "errors": [
    ]
}